<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.crm.custom.dao.mapper.CustomFileDao">

    <delete id="deleteInBatchByCustomId" parameterType="com.crm.rely.backend.core.entity.base.LongEntitys">
        delete from custom_file
        where custom_id in
        <foreach collection="ids" index="idx" item="item" separator="," open="(" close=")">
            #{item}
        </foreach>
    </delete>

    <select id="getAllPathByCustomId" resultType="String" parameterType="com.crm.rely.backend.core.entity.base.LongEntitys">
        select path
        from custom_file
        where custom_id in
        <foreach collection="ids" index="idx" item="item" separator="," open="(" close=")">
            #{item}
        </foreach>
    </select>

</mapper>